---
title: Examine and edit the box model
slug: Tools/Page_Inspector/How_to/Examine_and_edit_the_box_model
tags:
  - Guide
  - Tools
---
<div>{{ToolsSidebar}}</div><h2 id="Viewing_the_box_model">Viewing the box model</h2>

<p>With the <a href="/en-US/docs/Tools/Page_Inspector/UI_Tour#Select_element_button">Select Element button</a> pressed, if you hover over an element in the page, the <a href="/en-US/docs/Web/CSS/box_model">box model</a> for the element is shown overlaid on the page:</p>

<p>{{EmbedYouTube("vDRzN-svJHQ")}}</p>

<p>It's also shown overlaid if you hover over an element's markup in the HTML pane:</p>

<p>{{EmbedYouTube("xA4IxTttNLk")}}</p>

<p>If the element is inline and is split over multiple line boxes, the highlighter shows each individual line box that together make up the element:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/10349/inline-box-model.png" style="display: block; height: 186px; margin-left: auto; margin-right: auto; width: 351px;"></p>

<h3 id="The_Box_Model_view">The Box Model view</h3>

<p>When an element's selected, you can get a detailed look at the box model in the <a href="/en-US/docs/Tools/Page_Inspector/UI_Tour#Computed_view">Box Model view</a>:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/14241/box-model.png" style="display: block; height: 232px; margin-left: auto; margin-right: auto; width: 610px;"></p>

<p>If you hover over a value, you'll see a tooltip telling you which rule the value comes from:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/14243/box-model-tooltip.png" style="display: block; height: 234px; margin-left: auto; margin-right: auto; width: 620px;"></p>

<p>If you hover over part of the box model in the Box Model view, the corresponding part of the page is highlighted:</p>

<p>{{EmbedYouTube("H3ZxRbbyfwI")}}</p>

<h2 id="Editing_the_box_model">Editing the box model</h2>

<p>You can also edit the values in the <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_and_edit_the_box_model#The_Box_Model_view">Box Model view</a>, and see the results immediately in the page:</p>

<p>{{EmbedYouTube("gHjDjM8GJ9I")}}</p>
